RDKit: RDKit::BondInvariantsGenerator Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::BondInvariantsGenerator Class Referenceabstract

abstract base class for bond invariants generators More...

`#include <FingerprintGenerator.h>`

Inheritance diagram for RDKit::BondInvariantsGenerator:

## Public Member Functions
virtual std::vector< std::uint32_t > * | getBondInvariants (const ROMol &mol) const =0
| get bond invariants from a molecule
virtual std::string | infoString () const =0
| method that returns information about this /c BondInvariantsGenerator and its arguments
virtual void | toJSON (boost::property_tree::ptree &) const
virtual void | fromJSON (const boost::property_tree::ptree &)
virtual | ~BondInvariantsGenerator ()
virtual BondInvariantsGenerator * | clone () const =0

## Detailed Description

abstract base class for bond invariants generators

Definition at line 258 of file FingerprintGenerator.h.

## Constructor & Destructor Documentation

## ◆ ~BondInvariantsGenerator()

virtual RDKit::BondInvariantsGenerator::~BondInvariantsGenerator | ( |  | ) |
| inlinevirtual

Definition at line 282 of file FingerprintGenerator.h.

## Member Function Documentation

## ◆ clone()

virtual BondInvariantsGenerator * RDKit::BondInvariantsGenerator::clone | ( |  | ) | const
| pure virtual

Implemented in RDKit::MorganFingerprint::MorganBondInvGenerator.

## ◆ fromJSON()

virtual void RDKit::BondInvariantsGenerator::fromJSON | ( | const boost::property_tree::ptree & |  | ) |
| inlinevirtual

Reimplemented in RDKit::MorganFingerprint::MorganBondInvGenerator.

Definition at line 280 of file FingerprintGenerator.h.

## ◆ getBondInvariants()

virtual std::vector< std::uint32_t > * RDKit::BondInvariantsGenerator::getBondInvariants | ( | const ROMol & | mol | ) | const
| pure virtual

get bond invariants from a molecule

Parameters

  mol | molecule to generate the bond invariants for

Returns
  std::vector<std::uint32_t> bond invariants generated for the given molecule

Implemented in RDKit::MorganFingerprint::MorganBondInvGenerator.

## ◆ infoString()

virtual std::string RDKit::BondInvariantsGenerator::infoString | ( |  | ) | const
| pure virtual

method that returns information about this /c BondInvariantsGenerator and its arguments

Returns
  std::string information string

Implemented in RDKit::MorganFingerprint::MorganBondInvGenerator.

## ◆ toJSON()

virtual void RDKit::BondInvariantsGenerator::toJSON | ( | boost::property_tree::ptree & |  | ) | const
| inlinevirtual

Reimplemented in RDKit::MorganFingerprint::MorganBondInvGenerator.

Definition at line 279 of file FingerprintGenerator.h.

The documentation for this class was generated from the following file:

- FingerprintGenerator.h